
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.product.vo.SpuVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 轮播图VO
 *
 * @author YXF
 * @date 2020-11-24 16:38:32
 */
@Data
public class IndexImgVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键")
    private Long imgId;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "图片")
    private String imgUrl;

    @Schema(description = "状态")
    private Integer status;

    @Schema(description = "顺序")
    private Integer seq;

    @Schema(description = "关联商品id")
    private Long spuId;

    @Schema(description = "图片类型 0:小程序 1:pc")
    private Integer imgType;

    @Schema(description = "spu信息")
    private SpuVO spu;

    }
