
package com.tmerclub.cloud.api.supplier.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 * @date 2021/3/9
 */
@Data
public class OrderChangeSupplierWalletAmountBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 退款单id
     */
    private Long refundId;

    /**
     * 店铺id
     */
    private Long supplierId;

    /**
     * 订单 or 订单项 实际支付金额
     */
    private Long actualTotal;

    /**
     * 申请退款金额
     */
    private Long refundAmount;

    /**
     * 平台补贴金额
     */
    private Long platformAllowanceAmount;

    /**
     * 平台抽成
     */
    private Long platformCommission;

    /**
     * 平台抽成变化金额
     */
    private Long changePlatformCommission;

    /**
     * 平台抽成比例
     */
    private Double rate;

    /**
     * 分销金额
     */
    private Long distributionAmount;


}
