
package com.tmerclub.cloud.api.supplier.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/8/11 10:05
 */
@Data
public class SupplierSimpleBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "supplierId")
    private Long supplierId;

    @Schema(description = "供应商店铺id列表")
    private List<Long> supplierIds;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "供应商店铺名称")
    private String supplierShopName;

    @Schema(description = "供应商状态")
    private Integer supplierStatus;

    @Schema(description = "供应商店铺类型")
    private Integer type;

    @Schema(description = "排序: 1.supplierId 正序 2.supplierId 倒序")
    private Integer seq;


}
