package com.tmerclub.cloud.api.loacl.cuerecycle.feign;

import com.tmerclub.cloud.common.local.bo.EsCueProductBO;

/**
 * 球杆商品本地调用服务
 *
 * @author: frank
 * @create: 2025-04-19
 **/
public interface CueProductFeignClient {

    /**
     * 根据商品id获取商品信息
     *
     * @param productId 商品id
     * @return 商品信息
     */
    EsCueProductBO getEsCueProduct(Long productId);
}
