package com.tmerclub.cloud.api.delivery.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆订单退货物流业务对象
 *
 * @author: frank
 * @create: 2025-04-18
 **/
@Data
public class CurOderReturnsDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 网点id
     */
    private Long outletConfigId;
    /**
     * 打印机id
     */
    private Long printerId;
    /**
     * 订单地址id
     */
    private Long orderAddrId;
}
