
package com.tmerclub.cloud.api.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单快递信息项VO
 *
 * @author lhd
 * @date 2020-05-18 15:10:00
 */
@Data
public class DeliveryItemInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "接受站点", requiredMode = Schema.RequiredMode.REQUIRED)
    private String AcceptStation;
    @Schema(description = "接受时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private String AcceptTime;


    @Override
    public String toString() {
        return "DeliveryInfoVO{" +
                "AcceptStation='" + AcceptStation + '\'' +
                ", AcceptTime='" + AcceptTime + '\'' +
                '}';
    }
}
