
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author Citrus
 * @date 2021/8/16 9:10
 */
@Data
public class SumAmountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户消费笔数")
    private Integer expenseNumber;

    @Schema(description = "用户消费金额")
    private Double sumOfConsumption;


    @Override
    public String toString() {
        return "SumAmountVO{" +
                "userId=" + userId +
                ", expenseNumber=" + expenseNumber +
                ", sumOfConsumption=" + sumOfConsumption +
                '}';
    }
}
