package com.tmerclub.cloud.api.user.dto;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author gaozijie
 * @date 2023-05-23
 */
@Data
@ToString
public class UserExtensionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 通联会员创建
     */
    private Integer allinpayCreate;
    /**
     * 通联是否实名认证
     */
    private Integer allinpayRealNameSet;
    /**
     * 通联是否绑定手机号
     */
    private Integer allinpayPhoneBind;
    /**
     * 通联是否设置支付密码
     */
    private Integer allinpayPayPwdSet;
    /**
     * 通联是否签订提现协议
     */
    private Integer allinpayProtocolSign;
    /**
     * 通联是否绑定支付标识
     */
    private Integer allinpayPayAcctBind;


}
