
package com.tmerclub.cloud.auth.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 登陆日志
 *
 * @author tmerclub
 * @date 2020/07/02
 */
@Data
@ToString
public class AuthLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;

    /**
     * 本系统userId
     */
    private Long userId;

    /**
     * 登陆应用 1.小程序 2.微信公众号 3.PC 4.H5 5.ANDROID 1.IOS
     */
    private Integer appType;

    /**
     * 登录ip
     */
    private String loginIp;


}
