
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * VO
 *
 * @author YXF
 * @date 2020-12-04 16:15:02
 */
@Data
@ToString
public class AttachFileGroupVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long attachFileGroupId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "分组名称")
    private String name;

    @Schema(description = "1:图片 2:视频 3:文件")
    private Integer type;

    @Schema(description = "系统类型 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;


}
