
package com.tmerclub.cloud.biz.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * VO
 *
 * @author tmerclub
 * @date 2021-01-25 09:32:38
 */
@Data
@ToString
public class SmsCodeTemplateVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "通知内容")
    private String message;

    @Schema(description = "短信模板code")
    private String templateCode;


}
