package com.tmerclub.cloud.common.cache.bo;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lgh
 */
@ConfigurationProperties(prefix = "redis.aof")
@Component
@Data
@ToString
public class AofRedisBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private String password;

    private String redisAddr;

    private Integer database;


}
