
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author xxw
 * @date 2022/12/13 9:06
 */
public interface ComboCacheNames {

    /**
     * 前缀
     */
    String COMBO_PREFIX = "tmerclub_combo:";

    /**
     * 商品套餐信息缓存key
     */
    String SPU_COMBO = COMBO_PREFIX + "spu_combo:";

    /**
     * 仅套餐相关信息，不包含具体商品数据的缓存key
     */
    String SINGLE_COMBO_INFO = COMBO_PREFIX + "single_combo_info:";

    /**
     * 提交订单的套餐状态
     */
    String ORDER_COMBO_STATUS = COMBO_PREFIX + "order_combo_Status:";

    /**
     * 提交订单的套餐过期时间
     */
    String ORDER_COMBO_EXPIRATION_TIME = COMBO_PREFIX + "order_combo_Expiration_Time:";
}
