package com.tmerclub.cloud.common.local.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * ES查询球杆品牌信息
 *
 * @author: frank
 * @create: 2025-04-19
 **/
@Data
public class EsCueBrandBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 品牌ID
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 品牌logo
     */
    private String brandLogo;
}