
package com.tmerclub.cloud.common.order.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单和退款id
 *
 * @author tmerclub
 * @date 2021/04/26
 */
@Data
@ToString
public class OrderIdWithRefundIdBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 关联的退款id
     */
    private Long refundId;

    /**
     * 关联的支付订单id
     */
    private Long orderId;
    /**
     * 店铺id
     */
    private Long shopId;


}
