
package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author Pineapple
 * @date 2021/5/25 11:04
 */
@Data
@ToString
public class FlowProdEffectRespVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品id
     */
    @Schema(description = "商品id")
    private Long spuId;
    /**
     * 曝光次数
     */
    @Schema(description = "曝光次数")
    private Integer expose;
    /**
     * 曝光人数
     */
    @Schema(description = "曝光人数")
    private Integer exposePersonNum;
    /**
     * 加购人数
     */
    @Schema(description = "加购人数")
    private Integer addCartPerson;
    /**
     * 加购件数
     */
    @Schema(description = "加购件数")
    private Integer addCart;


}
