package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
@ToString
public class FlowSourDataExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "会员人数趋势信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"会员人数趋势信息", "类型"})
    private String type;

    @ExcelProperty({"会员人数趋势信息", "PC"})
    private String pc;

    @ExcelProperty({"会员人数趋势信息", "H5"})
    private String h5;

    @ExcelProperty({"会员人数趋势信息", "微信小程序"})
    private String wx;

    @ExcelProperty({"会员人数趋势信息", "安卓"})
    private String android;

    @ExcelProperty({"会员人数趋势信息", "ios"})
    private String ios;

    }
