package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
@ToString
public class FormExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty("日期")
    private String date;

    @ExcelProperty("客单价")
    private String customerUnitPrice;

    @ExcelProperty("总成交金额")
    private String totalTransactionAmount;

    @ExcelProperty("自营客单价")
    private String selfCustomerUnitPrice;

    @ExcelProperty("自营金额")
    private String selfAmount;

    @ExcelProperty("自营订单数")
    private Integer selfOrders;

    @ExcelProperty("自营商品数")
    private Integer selfProducts;

    @ExcelProperty("自营下单人数")
    private Integer selfNums;

    @ExcelProperty("下单金额")
    private String orderAmount;

    @ExcelProperty("下单人数")
    private Integer peopleOrderNums;

    @ExcelProperty("下单笔数")
    private Integer orderNums;

    @ExcelProperty("下单商品数")
    private Integer orderProducts;

    @ExcelProperty("支付金额")
    private String paymentAmount;

    @ExcelProperty("支付人数")
    private Integer payPeopleNums;

    @ExcelProperty("支付订单数")
    private Integer payOrderNums;

    @ExcelProperty("支付商品数")
    private Integer payProductNums;

    @ExcelProperty("成功退款金额")
    private String successRefundAmount;

    @ExcelProperty("退款订单数量")
    private Integer refundOrderNums;

    @ExcelProperty("下单-支付转化率")
    private String orderPaymentRate;

    @ExcelProperty("退款率")
    private String refundRate;


}
