package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

/**
 * 单个商品趋势图
 * @author gaozijie
 * @date 2023-10-09
 */
@Data
@ToString
public class SingleProdTrendVO {

    @Schema(description = "当前日期")
    private String currentDay;

    @Schema(description = "访客数")
    private Integer visitor;

    @Schema(description = "浏览量")
    private Long browse;

    @Schema(description = "支付人数")
    private Integer payPerson;

    @Schema(description = "支付商品件数")
    private Integer payNum;

    public SingleProdTrendVO() {
    }

}
