
package com.tmerclub.cloud.group.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 拼团活动商品规格
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
@Data
@ToString
public class GroupSku extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 拼团活动商品规格id
     */
    private Long groupSkuId;

    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 商品规格id
     */
    private Long skuId;

    /**
     * 活动价格
     */
    private Long actPrice;

    /**
     * 已售数量
     */
    private Long sellNum;

}
