
package com.tmerclub.cloud.im.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author tmerclub
 * @date 2020/8/19
 */
@Data
@ToString
public class MsgItemVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 消息id
     */
    private Long itemId;

    /**
     * 聊天类型
     */
    private Integer chatType;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 客服昵称
     */
    private String nickName;

    /**
     * 用户头像
     */
    private String userHeadUrl;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 员工id
     */
    private Long employeeId;

    /**
     * 店铺logo
     */
    private String shopLogo;

    /**
     * 时间
     */
    private Long timestamp;

    /**
     * 时间
     */
    private String timeStr;

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 谁发的  0:平台，1:商家， 2:用户
     */
    private Integer source;

    /**
     * 是否已读
     */
    private Integer userUnread;

    /**
     * 是否已读
     */
    private Integer employeeUnread;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * Online新消息提醒
     */
    private Boolean newMessage;

    private Boolean onlineOrOffline;

}
