
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
/**
 * 打印机
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
@Data
@ToString
public class Printer extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 打印机id
     */
    private Long printerId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 打印机名称
     */
    private String printerName;

    /**
     * 设备码
     */
    private String siid;

    /**
     * 打印机备注
     */
    private String printerRemark;

    /**
     * 是否默认 0否1是
     */
    private Integer isDefault;


}
