package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
@Data
@ToString
@Schema(description = "app-自提核销参数")
public class OrderStationWriteOffDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单号列表")
    private List<Long> orderIds;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "自提点id")
    private Long stationId;


}
