
package com.tmerclub.cloud.order.dto.multishop;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单修改地址获取金额传参
 *
 * @author Citrus
 * @date 2021/11/26 13:08
 */
@Data
@ToString
public class OrderChangeAddrDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "区域ID")
    private Long areaId;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "纬度")
    private Double lat;

}
