
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 订单项-国际化
 *
 * @author YXF
 * @date 2021-05-17 10:26:54
 */
@Data
@ToString
public class OrderItemLang extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单项ID
     */
    private Long orderItemId;

    /**
     * 语言 1.中文 2.英文
     */
    private Integer lang;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * sku名称
     */
    private String skuName;

    /**
     * 供应商spu名称
     */
    private String supplierSpuName;

    /**
     * 供应商sku名称
     */
    private String supplierSkuName;


}
