
package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author Yami
 */
@Data
@ToString
public class TimeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "当前日期")
    private String dateTime;

    @Schema(description = "当前营业时间集合")
    private List<String> hourTimes;

    public TimeVO(String dateTime, List<String> hourTimes) {
        this.dateTime = dateTime;
        this.hourTimes = hourTimes;
    }


}
