package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-05-05
 */
@Data
@ToString
public class PayByPwdDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "跳转页面类型(1:h5, 2:小程序), 默认h5")
    private Long jumpPageType;

    @Schema(description = "订单号")
    private String bizOrderNo;

    @Schema(description = "失败后跳转页面")
    private String errorJumpUrl;

    @Schema(description = "成功后跳转页面")
    private String jumpUrl;

}
