package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 */
@Data
@ToString
public class SetPayPwdDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "跳转页面类型(1:H5页面, 2:小程序页面)，不传默认H5")
    private Long jumpPageType;

    @Schema(description = "手机号码")
    private String phone;

    @Schema(description = "姓名")
    private String name;

    @Schema(description = "身份证号码")
    private String identityNo;

    @Schema(description = "密码设置/修改/重置后跳转地址")
    private String jumpUrl;

    @Schema(description = "密码重置出错跳转地址")
    private String errorJumpUrl;

}
