package com.tmerclub.cloud.payment.vo;

import com.tmerclub.cloud.api.payment.allinpay.member.resp.CompanyInfo;
import com.tmerclub.cloud.payment.allinpay.member.resp.UserInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通联支付会员信息
 * @author gaozijie
 */
@Data
@ToString
public class MemberInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "个人信息")
    private UserInfo userInfo;

    @Schema(description = "企业信息")
    private CompanyInfo companyInfo;

}
