
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 品牌-国际化表DTO
 *
 * @author YXF
 * @date 2021-04-26 15:17:37
 */
@Data
@ToString
public class BrandLangDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "品牌id")
    private Long brandId;

    @Schema(description = "语言 0.通用 1.中文 2.英文")
    private Integer lang;

    @Schema(description = "品牌名称")
    private String name;

    @Schema(description = "品牌描述")
    private String desc;

}
