
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分类-国际化表DTO
 *
 * @author YXF
 * @date 2021-04-22 17:48:16
 */
@Data
@ToString
public class CategoryLangDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "语言 0.通用 1.中文 2.英文")
    private Integer lang;

    @Schema(description = "分类名称")
    private String name;

}
