
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 属性值-国际化表
 *
 * @author YXF
 * @date 2021-04-15 16:47:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuAttrValueLang extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 属性值id
     */
    private Long spuAttrValueId;

    /**
     * 语言 0.通用 1.中文 2.英文
     */
    private Integer lang;

    /**
     * 属性名称
     */
    private String attrName;

    /**
     * 属性值
     */
    private String attrValueName;

    /**
     * 属性值
     */
    private String attrDesc;

}
