
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品浏览记录表
 *
 * @author YXF
 * @date 2021-03-19 14:28:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuBrowseLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品浏览记录id
     */
    private Long spuBrowseLogId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 1:正常 -1:删除
     */
    private Integer status;

    /**
     * 商品类型
     */
    private Integer spuType;

}
