
package com.tmerclub.cloud.product.service;

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;

import java.util.List;

/**
 * 购物车
 *
 * @author YXF
 * @date 2023-11-24 15:47:32
 */
public interface ShopCartItemService {

    /**
     * 组装商品购物项的数据
     *
     * @param shopCartItems 订单项\购物车项数据
     * @param mainShopCartItem
     * @param isShopCartOrder 是否从购物车提交的订单（注：不是购物车，是购物车提交的订单）
     */
    void assembleShopCartItem(List<ShopCartItemVO> shopCartItems, ShopCartItemVO mainShopCartItem, Boolean isShopCartOrder);

    /**
     * 组装赠品
     *
     * @param shopCartItems
     * @return
     */
    void buildItemGiveawayInfo(List<ShopCartItemVO> shopCartItems);
}
