package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.product.model.TakeStockSpu;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
@Data
@ToString
public class TakeStockSpuImportVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "成功解析的数据项")
    private List<TakeStockSpu> takeStockSpuList;

    @Schema(description = "导入结果提示")
    private String tips;

}
