
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

/**
 * 仓库项和供货城市关联信息VO
 *
 * @author tmerclub
 * @date 2023-11-08 11:11:44
 */
@Data
@ToString
public class WarehouseAreaVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "")
    private Long warehouseAreaId;

    @Schema(description = "仓库id")
    private Long warehouseId;

    @Schema(description = "城市id")
    private Long areaId;

}
