
package com.tmerclub.cloud.seckill.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀分类信息DTO
 *
 * @author lhd
 * @date 2021-04-19 11:26:35
 */
@Data
@ToString
public class SeckillCategoryDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀分类id")
    private Long categoryId;

    @Schema(description = "分类名称")
    private String name;

    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "分类ids")
    private List<Long> categoryIds;
}
