
package com.tmerclub.cloud.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 跳转链接为分类时候的link
 * @author TRACK
 */
@Data
@ToString
public class CategoryLinkBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "分类名")
    private String label;

    @Schema(description = "分类id")
    private Long value;


}
