
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户余额充值记录
 *
 * @author tmerclub
 */
@Data
@ToString
public class UserBalanceRechargeOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值金额id")
    private Long rechargeId;
    @Schema(description = "充值金额")
    private BigDecimal amount;

}
