
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserLevelTerm extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long levelTermId;

    /**
     * 等级id
     */
    private Long userLevelId;

    /**
     * 期数类型(0:月,1:季,2:年)
     */
    private Integer termType;

    /**
     * 价格
     */
    private Long needAmount;

    /**
     * 状态(0: 禁用1: 启用)
     */
    private Integer status;

}
