
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 余额优惠券关联表
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserRechargeCoupon extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 充值id
     */
    private Long rechargeId;

    /**
     * 优惠券id
     */
    private Long couponId;

    /**
     * 优惠券数量
     */
    private Integer couponNum;

}
