
package com.tmerclub.cloud.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 系统配置信息表VO
 *
 * @author lth
 * @date 2020-12-23 16:27:57
 */
@Data
@ToString
public class SysConfigVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long id;

    @Schema(description = "key")
    private String paramKey;

    @Schema(description = "value")
    private String paramValue;

    @Schema(description = "备注")
    private String remark;

}
