
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 店铺装修信息
 *
 * @author Orange
 * @date 2022-08-12 11:27:18
 */
@Data
public class ShopRenovation extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺装修id
     */
    private Long renovationId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 装修名称
     */
    private String name;

    /**
     * 装修内容
     */
    private String content;

    /**
     * 是否主页 1.是 0.不是
     */
    private Integer homeStatus;

    /**
     * 装修类型 1.pc 2.移动端
     */
    private Integer renovationType;

}
