package com.tmerclub.cloud.api.order.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @since 2023-11-27
 */
@Data
public class EsAllotOrderItemBO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 调拨订单商品id
     */
    private Long allotOrderItemId;

    /**
     * 商品spuId
     */
    private Long spuId;

    /**
     * 商品skuId
     */
    private Long skuId;

    /**
     * 调拨数量
     */
    private Integer allotCount;

    /**
     * 调拨入库数量
     */
    private Integer allotInCount;

    public EsAllotOrderItemBO() {
    }


    @Override
    public String toString() {
        return "EsAllotOrderItemBO{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", allotCount=" + allotCount +
                ", allotInCount=" + allotInCount +
                '}';
    }
}
