
package com.tmerclub.cloud.api.user.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 充值成功通知
 * @author tmerclub
 */
@Data
public class BalancePayBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long payId;
    private String orderIds;

    private Long changeBalance;

    private Boolean isVip;

    private Integer paySysType;

    @Override
    public String toString() {
        return "BalancePayBO{" +
                "payId=" + payId +
                ", orderIds='" + orderIds + '\'' +
                ", changeBalance=" + changeBalance +
                ", isVip=" + isVip +
                ", paySysType=" + paySysType +
                '}';
    }
}
