
package com.tmerclub.cloud.api.user.dto;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2020/12/22
 */
@Data
@ToString
public class UserTypeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userId;

    private Date createTime;

    public UserTypeDTO() {
    }

    public UserTypeDTO(Long userId, Date createTime) {
        this.userId = userId;
        this.createTime = createTime;
    }

}
