package com.tmerclub.cloud.api.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户标签VO
 *
 * @author: tmerclub
 * @date: 2021-04-12 15:56
 */
@Data
@ToString
public class UserTagApiVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long tagId;

    @Schema(description = "标签名称")
    private String tagName;

    @Schema(description = "标签类型0手动1条件2系统")
    private Integer tagType;

    @Schema(description = "标签下的所有用户id")
    private List<Long> userIds;


}
