
package com.tmerclub.cloud.biz.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author YXF
 * @date 2020-12-04 16:15:02
 */
@Data
@ToString
public class AttachFileGroup extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long attachFileGroupId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 用户uid
     */
    private Long uid;

    /**
     * 分组名称
     */
    private String name;

    /**
     * 1:图片 2:视频 3:文件
     */
    private Integer type;
    /**
     * 系统类型 1.商家端 2.平台端 3.供应商端
     */
    private Integer sysType;


}
