package com.tmerclub.cloud.common.local.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * ES查询球杆商品信息
 *
 * @author: frank
 * @create: 2025-04-19
 **/
@Data
public class EsCueProductBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 球杆ID
     */
    private Long productId;
    /**
     * 球杆类型ID
     */
    private Long typeId;
    /**
     * 球杆品牌ID
     */
    private Long brandId;
    /**
     * 球杆系列ID
     */
    private Long seriesId;
    /**
     * 球杆名称
     */
    private String productName;
    /**
     * 球杆描述
     */
    private String productDescription;
    /**
     * 球杆图片
     */
    private String productImages;
    /**
     * 球杆价格
     */
    private Long productPrice;
    /**
     * 球杆品牌信息
     */
    private EsCueBrandBO brandItem;
    /**
     * 球杆系列信息
     */
    private EsCueSeriesBO seriesItem;
    /**
     * 球杆类型信息
     */
    private EsCueTypeBO typeItem;
}
