
package com.tmerclub.cloud.flow.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * 流量分析—页面数据统计表
 *
 * @author YXF
 * @date 2021-06-02
 */
@Data
@ToString
public class SystemVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Integer userNums;
    private Integer systemType;
    /**
     * 全部
     */
    private Integer all;
    /**
     * pc
     */
    private Integer pc;
    /**
     * h5
     */
    private Integer h5;
    /**
     * 小程序
     */
    private Integer applets;
    /**
     * 安卓
     */
    private Integer android;
    /**
     * ios
     */
    private Integer ios;


    public SystemVO() {
        pc = 0;
        h5 = 0;
        applets = 0;
        android = 0;
        ios = 0;
    }
}
