
package com.tmerclub.cloud.group.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 * @date 2021/4/12
 */
@Data
@ToString
public class GroupOrderBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 拼团团队id
     */
    private Long groupTeamId;

    /**
     * user_id(当user_id为0时标识为机器人)
     */
    private Long userId;

    /**
     * 团长id
     */
    private Long shareUserId;

    /**
     * 活动商品金额
     */
    private Long activityProdPrice;

    /**
     * 支付金额
     */
    private Long payPrice;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 商品数量
     */
    private Integer count;

    private Long spuId;

    }
