package com.tmerclub.cloud.cuerecycle.model.dto;

import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拒绝回收业务对象
 *
 * @author: frank
 * @create: 2025-04-18
 **/
@Data
public class CueFillAddrDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单ID
     */
    @NotNull(message = "订单ID不能为空")
    private Long orderId;
    /**
     * 地址ID
     */
    @NotNull(message = "地址ID不能为空")
    private Long addrId;
}
