
package com.tmerclub.cloud.combo.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author xxw
 * @date 2022/11/30 17:27
 */
@Data
@ToString
public class ComboSpuCountChangeNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套餐id
     */
    private Long comboId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 套餐商品起搭数
     */
    private Integer count;

}
