
package com.tmerclub.cloud.combo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套餐商品sku项DTO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboSpuSkuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐商品项id")
    private Long comboProdId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "搭配价格")
    private Long matchingPrice;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "商品id")
    private Long spuId;


}
