
package com.tmerclub.cloud.coupon.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 优惠券赠送记录
 *
 * @author tmerclub
 * @date 2021-04-28 16:25:05
 */
@Data
@ToString
public class CouponGiveLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 赠送业务类型 1充值赠送
     */
    private Integer bizType;

    /**
     * 业务id(充值记录id)
     */
    private Long bizId;

}
