package com.tmerclub.cloud.delivery.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author gaozijie
 * @date 2023-05-11
 */
@Data
@ToString
public class StationOrderBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 订单金额
     */
    private Long amount;
    /**
     * 支付时间
     */
    private Date payTime;


}
