
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单退款平台介入相关介入信息
 *
 * @author lhd
 * @date 2023-08-24 14:13:50
 */
@Data
@ToString
public class OrderRefundIntervention extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 退款介入记录ID
     */
    private Long refundIntervertionId;
    /**
     * 商家/供应商/用户id
     */
    private Long bizId;
    /**
     * 系统类型
     */
    private Integer sysType;
    /**
     * 退款号
     */
    private Long refundId;
    /**
     * 凭证说明
     */
    private String voucherDesc;
    /**
     * 文件凭证
     */
    private String imgUrls;

}
