
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 采购订单-国际化
 *
 * @author lhd
 * @date 2022-07-12 13:57:20
 */
@Data
@ToString
public class PurchaseOrderLang extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long purchaseOrderId;

    /**
     *
     */
    private Integer lang;

    /**
     * 商品名称
     */
    private String spuName;

}
