package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author chiley
 * @date 2022/6/27 15:41
 */
@Data
@ToString
@Schema(description = "热卖商品订单数据")
public class HotProductVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品主图片")
    private String spuImg;

    @Schema(description = "支付金额")
    private Double payAmount;

    @Schema(description = "订单数量")
    private Integer orderNums;

    @Schema(description = "商品数量")
    private Integer productNums;

}
