
package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author YXF
 */
@Data
@ToString
@Schema(description = "订单列表数量")
public class OrderListCountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "所有订单数量")
    private Integer allCount;

    @Schema(description = "部分订单数量")
    private Integer count;


}
