
package com.tmerclub.cloud.payment.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author Pineapple
 */
@Data
@ToString
public class PaySettlementConfigVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付结算类型 0.原生结算 1.通联结算
     */
    private Integer paySettlementType;

    /**
     * 通联商户系统用户标识，商户系统中唯一编号，也就是平台唯一的通联标识
     */
    private String bizUserId;

}
