
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品收藏信息DTO
 *
 * @author tmerclub
 * @date 2020-11-21 14:43:16
 */
@Data
@ToString
public class SpuCollectionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "收藏表")
    private Long id;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "用户id")
    private Long userId;

}
