
package com.tmerclub.cloud.product.dto.shopcart;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author lhd
 * @date 2021-07-01 10:47:32
 */
@Data
@ToString
public class AddShopCartItemsDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "需要添加的购物车信息集合", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<ChangeShopCartItemDTO> shopCartItemList;
}
