
package com.tmerclub.cloud.product.dto.shopcart;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2021-02-03 15:47:32
 */
@Data
@ToString
public class CheckShopCartItemDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull
    @Schema(description = "购物车ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long shopCartItemId;

    @NotNull
    @Schema(description = "商品是否勾选 1:勾选 0:未勾选")
    private Integer isChecked;


}
