
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
/**
 * 规格组合商品管理表
 *
 * @author lhd
 * @date 2023-11-06 11:00:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SkuCombo extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 规格id
     */
    private Long skuId;

    /**
     * 组合的skuid
     */
    private Long comboSkuId;
    /**
     * 组合的spuid
     */
    private Long comboSpuId;

    /**
     * 组合数量
     */
    private Long comboCount;

}
