
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品收藏信息
 *
 * @author tmerclub
 * @date 2020-11-21 14:43:16
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuCollection extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 收藏表
     */
    private Long id;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 用户id
     */
    private Long userId;

}
