
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author tmerclub
 * @date 2020-11-11 13:49:06
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品扩展信息表id
     */
    private Long spuExtendId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 评论数量
     */
    private Integer commentNum;

    /**
     * 注水销量
     */
    private Integer waterSoldNum;


}
