
package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author YXF
 * @Date 2021/7/06
 */
@Data
@ToString
public class CategoryUseNumVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private static final Integer CATEGORY = 1;
    private static final Integer ATTR = 2;
    private static final Integer BRAND = 3;
    private static final Integer SPU = 3;

    @Schema(description = "类型")
    private Integer type;

    @Schema(description = "数量")
    private Integer num;

}
