package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author chiley
 * @date 2022/6/29 17:15
 */
@Data
@ToString
@Schema(description = "我的商品数量")
public class SpuCountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "所有商品数量")
    private Integer allCount;

    @Schema(description = "已删除商品数量")
    private Integer deleted;

    @Schema(description = "正常在售商品")
    private Integer available;

    @Schema(description = "待审核商品")
    private Integer underReview;

    @Schema(description = "平台下架商品")
    private Integer removedByPlatform;

    @Schema(description = "所有下架商品")
    private Integer removed;

}
