


package com.tmerclub.cloud.seckill.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀配置信息
 * @author lhd
 */
@Data
@ToString
public class SeckillConfigVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 秒杀时段
     */
    private List<Integer> seckillTimeList;
    /**
     * 秒杀轮播图
     */
    private String imgUrls;


}

