
package com.tmerclub.cloud.user.bo;

import com.tmerclub.cloud.user.model.UserScoreGetLog;
import com.tmerclub.cloud.user.model.UserScoreLog;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户积分日志、积分明细
 *
 * @author cl
 * @date 2021-06-17 17:46:07
 */
@Data
@ToString
public class UserScoreChangeLogBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "用户积分日志集合")
    private List<UserScoreLog> userScoreLogs;

    @Schema(description = "用户积分明细集合-保存")
    private List<UserScoreGetLog> saveUserScoreGetLogs;

    @Schema(description = "用户积分明细集合-修改")
    private List<UserScoreGetLog> updateUserScoreGetLogs;

}
