
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.io.Serial;

/**
 * 弹窗广告关联DTO
 * @author TRACK
 */
@Data
@ToString
public class PopupRelateDTO {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "关联id")
    private Long relateId;

    @Schema(description = "弹窗广告id")
    private Long popupId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "会员等级id")
    private Long userLevelId;

}
