
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户提货人信息DTO
 *
 * @author tmerclub
 * @date 2020-12-15 17:18:56
 */
@Data
@ToString
public class UserConsigneeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long userConsigneeId;

    @Schema(description = "提货人姓名")
    private String name;

    @Schema(description = "提货人联系方式")
    private String mobile;

}
