
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * DTO
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@Data
@ToString
public class UserRightsCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "权益优惠券关联id")
    private Long rightsCouponId;

    @Schema(description = "权益id")
    private Long rightsId;

    @Schema(description = "优惠券id")
    private Long couponId;

}
