
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户提货人信息
 *
 * @author tmerclub
 * @date 2020-12-15 17:18:56
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserConsignee extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long userConsigneeId;

    /**
     * id
     */
    private Long userId;
    /**
     * 提货人姓名
     */
    private String name;

    /**
     * 提货人联系方式
     */
    private String mobile;

}
