
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户积分获取记录
 *
 * @author tmerclub
 * @date 2021-05-17 17:17:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserScoreGetLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 积分明细表
     */
    private Long userScoreGetLogId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 可用积分
     */
    private Long usableScore;

    /**
     * 业务id
     */
    private String bizId;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 状态  -1过期 0订单抵现 1正常
     */
    private Integer status;

}
