
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;

/**
 * 弹窗广告关联VO
 * @author TRACK
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class PopupRelateVO extends BaseVO {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "关联id")
    private Long relateId;

    @Schema(description = "弹窗广告id")
    private Long popupId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "会员等级id")
    private Long userLevelId;

    @Schema(description = "等级名称")
    private String levelName;

}
